#!/bin/sh

#
# preinst script for pwman3
#

set -e

. /usr/share/debconf/confmodule

previous_version="${2}"

if echo "${previous_version}" | grep -q '^0\.5\.' ; then
    db_get pwman/old_db_format
    action="${RET}"
    if [ "${action}" != "continue" ]; then
        db_fset pwman/old_db_format seen false || true
        db_input critical pwman/old_db_format || true
        db_go
        db_get pwman/old_db_format
        action="${RET}"
    fi

    if [ "${action}" = "abort" ]; then
        exit 1
    fi
fi

#DEBHELPER#

exit 0
